	-- MovieClip animation - evs
	
	local imageWidth, imageHeight = 300, 400
	local frames = {} -- table for the frames

	-- set up MovieClip table from pngs 01 to 34
	for i = 1, 34 do
		
		frames[i] = {i, i, Bitmap.new(Texture.new(string.format("%02d.png", i)))}
		
	end
	
	local clip = MovieClip.new(frames) -- create clip and start
	clip:setGotoAction(34, 1) -- set clip to loop back to start (1) at end (34)

	clip:setPosition(application:getDeviceWidth() / 2 - imageWidth / 2 , 
					 application:getDeviceHeight() / 2 - imageHeight / 2) -- center
	
	stage:addChild(clip) -- show it